> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add actions

> Add new actions to the system



## OpenAPI

````yaml /api-reference/oda-actions-service-1.0.0.yml post /actions/commands/add-actions
openapi: 3.0.1
info:
  title: oda-actions-service
  version: 1.0.0
servers: []
security: []
paths:
  /actions/commands/add-actions:
    post:
      summary: Add actions
      description: Add new actions to the system
      operationId: addAction
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddActionApi.AddActionsCommand'
        required: true
      responses:
        '200':
          description: Actions successfully created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddActionApi.AddActionResult'
components:
  schemas:
    AddActionApi.AddActionsCommand:
      required:
        - actions
      type: object
      properties:
        actions:
          type: array
          items:
            $ref: '#/components/schemas/AddActionApi.NewAction'
    AddActionApi.AddActionResult:
      required:
        - action
        - message
        - success
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        action:
          $ref: '#/components/schemas/ActionControllerApi.ActionDto'
    AddActionApi.NewAction:
      required:
        - category
        - game
        - name
        - parameters
        - payload
        - price
      type: object
      properties:
        name:
          type: string
        category:
          type: string
        game:
          type: string
        price:
          $ref: '#/components/schemas/Amount'
        payload:
          type: object
          additionalProperties:
            type: object
        parameters:
          type: array
          items:
            $ref: '#/components/schemas/AddActionApi.ActionParameter'
    ActionControllerApi.ActionDto:
      required:
        - category
        - enabled
        - game
        - id
        - name
        - payload
        - price
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        price:
          $ref: '#/components/schemas/Amount'
        category:
          type: string
        game:
          type: string
        enabled:
          type: boolean
        payload:
          type: object
          additionalProperties:
            type: object
    Amount:
      required:
        - currency
        - major
        - minor
      type: object
      properties:
        minor:
          type: integer
          format: int32
        major:
          type: integer
          format: int32
        currency:
          type: string
    AddActionApi.ActionParameter:
      required:
        - displayName
        - name
        - type
      type: object
      properties:
        name:
          type: string
        displayName:
          type: string
        type:
          type: string

````